package org.objectweb.jonas.jtests.beans.ejbql;

import java.util.Collection;

import javax.ejb.FinderException;

// Ship EJB's local home interface
public interface CreditCompanyHomeLocal extends javax.ejb.EJBLocalHome {

    public CreditCompanyLocal create(String name) 
	throws javax.ejb.CreateException;

    public CreditCompanyLocal findByPrimaryKey(Object primaryKey) 
	throws javax.ejb.FinderException;

    public Collection findAllCreditCompany() 
	throws FinderException;

}
